#ifndef RASTERIZE_TRIANGLES_H
#define RASTERIZE_TRIANGLES_H

#include "array2.h"
#include "vec.h"

void
rasterize_triangle(Array2<Vec3f>& img,  // the image that will be updated
                   Array2f& zbuffer,    // the related zbuffer
                   const Vec3f& color0, // the color at vertex 0 of the triangle
                   const Vec3f& x0,     // the coordinates of vertex 0
                   const Vec3f& color1, // the color at vertex 1
                   const Vec3f& x1,     // the coordinates of vertex 1
                   const Vec3f& color2, // the color at vertex 2
                   const Vec3f& x2);    // the coordinates of vertex 2

#endif
